/**
 * DevExtreme (cjs/ui/grid_core/row_dragging/dom.js)
 * Version: 22.1.8 (build 23089-0307)
 * Build date: Thu Mar 30 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.GridCoreRowDraggingDom = void 0;
var _renderer = _interopRequireDefault(require("../../../core/renderer"));
var _uiGrid_core = _interopRequireDefault(require("../ui.grid_core.utils"));
var _const = require("./const");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
var createHandleTemplateFunc = function(addWidgetPrefix) {
    return function(container, options) {
        var $container = (0, _renderer.default)(container);
        $container.attr(_const.ATTRIBUTES.dragCell, "");
        if ("data" === options.rowType) {
            $container.addClass(_const.CLASSES.cellFocusDisabled);
            return (0, _renderer.default)("<span>").addClass(addWidgetPrefix(_const.CLASSES.handleIcon))
        } else {
            _uiGrid_core.default.setEmptyText($container)
        }
    }
};
var GridCoreRowDraggingDom = {
    createHandleTemplateFunc: createHandleTemplateFunc
};
exports.GridCoreRowDraggingDom = GridCoreRowDraggingDom;
