/**
 * DevExtreme (esm/ui/grid_core/row_dragging/dom.js)
 * Version: 22.1.8 (build 23089-0307)
 * Build date: Thu Mar 30 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import $ from "../../../core/renderer";
import gridCoreUtils from "../ui.grid_core.utils";
import {
    ATTRIBUTES,
    CLASSES
} from "./const";
var createHandleTemplateFunc = addWidgetPrefix => (container, options) => {
    var $container = $(container);
    $container.attr(ATTRIBUTES.dragCell, "");
    if ("data" === options.rowType) {
        $container.addClass(CLASSES.cellFocusDisabled);
        return $("<span>").addClass(addWidgetPrefix(CLASSES.handleIcon))
    } else {
        gridCoreUtils.setEmptyText($container)
    }
};
export var GridCoreRowDraggingDom = {
    createHandleTemplateFunc: createHandleTemplateFunc
};
