/**
 * DevExtreme (esm/ui/text_box/utils.support.js)
 * Version: 22.1.8 (build 23089-0307)
 * Build date: Thu Mar 30 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import domAdapter from "../../core/dom_adapter";
import devices from "../../core/devices";
import browser from "../../core/utils/browser";

function isModernAndroidDevice() {
    var {
        android: android,
        version: version
    } = devices.real();
    return android && version[0] > 4
}
export function isInputEventsL2Supported() {
    return "onbeforeinput" in domAdapter.createElement("input") && !browser.chrome || isModernAndroidDevice()
}
