/**
* DevExtreme (ui.grid_core.focus.utils.js)
* Version: 22.1.8 (build 23089-0307)
* Build date: Thu Mar 30 2023
*
* Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { isDate, isFunction } from '../../core/utils/type';
import dateSerialization from '../../core/utils/date_serialization';

// TODO Vinogradov: Move it to ts and cover with unit tests.
const getSortFilterValue = (
    sortInfo,
    rowData,
    {
        isRemoteFiltering,
        dateSerializationFormat,
        getSelector,
    }) => {
    const { selector } = sortInfo;
    const getter = isFunction(selector)
        ? selector
        : getSelector(selector);

    const rawValue = getter ? getter(rowData) : rowData[selector];
    const safeValue = isRemoteFiltering && isDate(rawValue)
        ? dateSerialization.serializeDate(rawValue, dateSerializationFormat)
        : rawValue;

    return {
        getter,
        rawValue,
        safeValue,
    };
};

export const UiGridCoreFocusUtils = {
    getSortFilterValue,
};
